; ChangePlotDevices.lsp ; Sample command CPD on how to change ; plot devices on all layouts ; Changes have to be made to match ; your old and new plot devices ; ; By Jimmy Bergmark ; Copyright (C) 2005 by JTB World ; www.jtbworld.com ; 2005-01-13 ; (defun PutPlotDevice (layout PlotDeviceName) (vla-put-ConfigName layout PlotDeviceName) ) (defun GetPlotDevice (layout) (vla-get-ConfigName layout) ) (defun changePlotDevice (layout) (cond ((= (GetPlotDevice layout) "OLD01.pc3") (PutPlotDevice layout "NEW01.pc3")) ((= (GetPlotDevice layout) "OLD02.pc3") (PutPlotDevice layout "NEW01.pc3")) ((= (GetPlotDevice layout) "OLD03.pc3") (PutPlotDevice layout "NEW02.pc3")) (t (PutPlotDevice layout "None")) ) ) (defun c:CPD () (setq layouts (vla-get-Layouts (vla-get-activedocument (vlax-get-acad-object)))) (vlax-for layout layouts (changePlotDevice layout) ) (princ) )
Engineering the Guitar Hero guitar
12 hours ago
No comments:
Post a Comment